org.apache.cassandra.db.marshal

## Class EmptyType

- java.lang.Object
- - org.apache.cassandra.db.marshal.AbstractType<java.lang.Void>
  - - org.apache.cassandra.db.marshal.EmptyType

All Implemented Interfaces:
  java.util.Comparator<java.nio.ByteBuffer>

    public class EmptyType
    extends AbstractType<java.lang.Void>

A type that only accept empty data. It is only useful as a value validation type, not as a comparator since column names can't be empty.

### Field Summary

Fields
`static EmptyType` `instance`

### Fields inherited from class org.apache.cassandra.db.marshal.AbstractType

`columnComparator, columnReverseComparator, indexComparator, indexReverseComparator, onDiskAtomComparator, reverseComparator`

### Method Summary

Methods
`int` `compare(java.nio.ByteBuffer o1, java.nio.ByteBuffer o2)`
`java.nio.ByteBuffer` `fromString(java.lang.String source)` get a byte representation of the given string.
`TypeSerializer<java.lang.Void>` `getSerializer()`
`java.lang.String` `getString(java.nio.ByteBuffer bytes)` get a string representation of the bytes suitable for log messages

### Methods inherited from class org.apache.cassandra.db.marshal.AbstractType

`asCQL3Type, compareCollectionMembers, componentsCount, compose, decompose, fromStringCQL2, getColumnsString, getComponents, getReverseComparator, getString, intersects, intersects, isCollection, isCommutative, isCompatibleWith, isValueCompatibleWith, parseDefaultParameters, toString, validate, validateCollectionMember`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Field Detail

#### instance

    public static final EmptyType instance

### Method Detail

#### compare

    public int compare(java.nio.ByteBuffer o1,
              java.nio.ByteBuffer o2)

#### getString

    public java.lang.String getString(java.nio.ByteBuffer bytes)

Description copied from class: `AbstractType`
get a string representation of the bytes suitable for log messages

Overrides:
  `getString` in class `AbstractType<java.lang.Void>`

#### fromString

    public java.nio.ByteBuffer fromString(java.lang.String source)
                                   throws MarshalException

Description copied from class: `AbstractType`
get a byte representation of the given string.

Specified by:
  `fromString` in class `AbstractType<java.lang.Void>`
Throws:
  `MarshalException`

#### getSerializer

    public TypeSerializer<java.lang.Void> getSerializer()

Specified by:
  `getSerializer` in class `AbstractType<java.lang.Void>`